package com.rwk.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.rwk.system.mapper.RwkMeetingStaffMapper;
import com.rwk.system.domain.RwkMeetingStaff;
import com.rwk.system.service.IRwkMeetingStaffService;
import com.rwk.common.core.text.Convert;

/**
 * 培训人员签到Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-12-05
 */
@Service
public class RwkMeetingStaffServiceImpl implements IRwkMeetingStaffService 
{
    @Autowired
    private RwkMeetingStaffMapper rwkMeetingStaffMapper;

    /**
     * 查询培训人员签到
     * 
     * @param id 培训人员签到主键
     * @return 培训人员签到
     */
    @Override
    public RwkMeetingStaff selectRwkMeetingStaffById(Long id)
    {
        return rwkMeetingStaffMapper.selectRwkMeetingStaffById(id);
    }

    /**
     * 查询培训人员签到列表
     * 
     * @param rwkMeetingStaff 培训人员签到
     * @return 培训人员签到
     */
    @Override
    public List<RwkMeetingStaff> selectRwkMeetingStaffList(RwkMeetingStaff rwkMeetingStaff)
    {
        return rwkMeetingStaffMapper.selectRwkMeetingStaffList(rwkMeetingStaff);
    }

    /**
     * 新增培训人员签到
     * 
     * @param rwkMeetingStaff 培训人员签到
     * @return 结果
     */
    @Override
    public int insertRwkMeetingStaff(RwkMeetingStaff rwkMeetingStaff)
    {
        return rwkMeetingStaffMapper.insertRwkMeetingStaff(rwkMeetingStaff);
    }

    /**
     * 修改培训人员签到
     * 
     * @param rwkMeetingStaff 培训人员签到
     * @return 结果
     */
    @Override
    public int updateRwkMeetingStaff(RwkMeetingStaff rwkMeetingStaff)
    {
        return rwkMeetingStaffMapper.updateRwkMeetingStaff(rwkMeetingStaff);
    }

    /**
     * 批量删除培训人员签到
     * 
     * @param ids 需要删除的培训人员签到主键
     * @return 结果
     */
    @Override
    public int deleteRwkMeetingStaffByIds(String ids)
    {
        return rwkMeetingStaffMapper.deleteRwkMeetingStaffByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除培训人员签到信息
     * 
     * @param id 培训人员签到主键
     * @return 结果
     */
    @Override
    public int deleteRwkMeetingStaffById(Long id)
    {
        return rwkMeetingStaffMapper.deleteRwkMeetingStaffById(id);
    }
}
